> ## Documentation Index
> Fetch the complete documentation index at: https://docs.metriport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Message Status

> Get the status of a message sent previously.

<Snippet file="in-construction.mdx" />

Returns the status of a specific message request - use this to check the progress of that message.

<Tip>
  We recommend using the `message.status`
  [webhook](/medical-api/handling-data/webhooks-with-nq#message-status)
  to receive delivery status updates instead of polling this
  endpoint.
</Tip>

## Path Params

<ParamField path="messageId" type="string" required>
  The ID of the message. This is returned when you [send a
  message](/medical-api/api-reference/message/send-message).
</ParamField>

## Response

<ResponseField name="communication" type="Communication" required>
  The resulting FHIR
  [Communication](/medical-api/fhir/resources/communication)
  resource.
</ResponseField>

```json theme={null}
{
  "communication": {
    "resourceType": "Communication",
    "id": "00000000-0000-0000-0000-000000000000",
    "status": "in-progress",
    "subject": {
      "reference": "Patient/00000000-0000-0000-0000-000000000000"
    },
    "topic": {
      "text": "Referral - cardiology"
    },
    "sender": {
      "display": "Your Organization name"
    },
    "recipient": [
      {
        "type": "Organization",
        "display": "intake@cardio.direct.partner.com"
      },
      {
        "type": "Practitioner",
        "display": "1234567893"
      }
    ],
    "sent": "2026-06-16T18:40:00.000Z",
    "payload": [
      {
        "contentReference": {
          "reference": "DocumentReference/00000000-0000-0000-0000-000000000000"
        }
      }
    ],
    "extension": [
      {
        "url": "https://public.metriport.com/fhir/StructureDefinition/data-source.json",
        "valueCoding": {
          "system": "https://public.metriport.com/fhir/StructureDefinition/data-source.json",
          "code": "METRIPORT"
        }
      }
    ]
  }
}
```

<ResponseExample>
  ```javascript Metriport SDK theme={null}
  import { MetriportMedicalApi } from "@metriport/api-sdk";

  const metriport = new MetriportMedicalApi("YOUR_API_KEY");

  const status = await metriport.getMessageStatus(
    "00000000-0000-0000-0000-000000000000"
  );
  ```
</ResponseExample>
